## org.eclipse.datatools.sqltools.data.internal.ui.load
Interface IExternalLoad

    public interface IExternalLoad

Clients extending the externalTableDataLoad extension-point must implement

Method Summary
`int` `doLoad(Output output)` Performs the table load
`boolean` `isUseExternalLoad()` Returns whether or not to use the external load
`void` `setDelimiters(java.lang.String colDelim, java.lang.String stDelim)` Sets the delimiters for the columns and strings designations
`void` `setFilePath(java.lang.String path)` Sets the file path from which the data is to be retrieved
`void` `setReplace(boolean replace)` Sets whether or not to replace existing data in the table
`void` `setTable(Table table)` Sets the Table to which the data is to be loaded

Method Detail

### setTable

    void setTable(Table table)

  Sets the Table to which the data is to be loaded

  Parameters:
    `table` - the Table Object

### setFilePath

    void setFilePath(java.lang.String path)

  Sets the file path from which the data is to be retrieved

  Parameters:
    `path` - the file path to retrieve the saved data

### setDelimiters

    void setDelimiters(java.lang.String colDelim,
                       java.lang.String stDelim)

  Sets the delimiters for the columns and strings designations

  Parameters:
    `colDelim` - the column delimiter
    `stDelim` - the string delimiter

### setReplace

    void setReplace(boolean replace)

  Sets whether or not to replace existing data in the table

  Parameters:
    `replace` - replace existing data if true, do not replace if false

### isUseExternalLoad

    boolean isUseExternalLoad()

  Returns whether or not to use the external load

### doLoad

    int doLoad(Output output)

  Performs the table load

  Parameters:
    `output` - the Output object
  Returns:
    the output code indicating the status
  See Also:
    `org.eclipse.datatools.sqltools.data.internal.core.common.Output;`